petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscSectionGetClosureInversePermutation

Get the inverse dof permutation for the closure of each cell in the section, meaning clPerm[oldIndex] = newIndex.

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetClosureInversePermutation(PetscSection section, PetscObject obj, IS *perm)

Not collective

### Input Parameters

| section | - The PetscSection
| obj | - A PetscObject which serves as the key for this index

### Output Parameters

| size | - The dof closure size
| perm | - The dof closure permutation

Note: This strategy only works when all cells have the same size dof closure, and no closures are retrieved for other points (like faces).

The user must destroy the IS that is returned.

### See Also

PetscSectionSetClosurePermutation(), PetscSectionGetClosureIndex(), PetscSectionSetClosureIndex(), DMPlexCreateClosureIndex()

### Level

intermediate

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages